#!/usr/bin/python
"""Classes to handle sodar data samples

Sodar data samples are collected into daily files. Each sample consists of a
header followed by an observation for each height.
"""

class Data(object):
    """Split sodar daily file data into samples"""
    def __init__(self,data):
        import re
        dataPattern = re.compile('\$') # samples in file are terminated by $
        samples = dataPattern.split(data)
        self.samples = [sample for sample in samples if sample]

def __main():
    """Process as script from command line"""
    import urllib2
    try:
       data = urllib2.urlopen('http://nemo.isis.unc.edu/data/nccoos/level0/dukeforest/sodar/store/2007-06/20070601.dat')
       data = data.read()
    except:
        print "Failure to read test data"
    data = Data(data)
    print '   --- Sample ---\n'.join(data.samples)

if __name__ == "__main__":
    __main()
